Jump to content

libssl.so.1.0.0 error on Raspberry


guyvaio
 Share

Recommended Posts

Hello,

 

I've made a new fresh install on a Raspberry Pi 3. I've followed the instructions of the "Install and Setup Agents / Raspbian" page. As usual.

Service does not start correctly. The syslog shows 

raspberryXyz pulseway[854]: /usr/sbin/pulsewayd: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory

Any hint to solve this problem? 

Thanks in advance.

Best regards,

Guy
 

Link to comment
Share on other sites

  • 3 months later...

Good Day,

Isn't this package deprecated due to issues with the Heartbleed bug?  Are there any plans to have the agent use an updated library or is this an issue with Raspbian?  By the way, thanks for this, it helped a lot.

Link to comment
Share on other sites

  • 3 weeks later...

the right link for the deb is:
http://ftp.nl.debian.org/debian/pool/main/o/openssl/libssl1.0.0_1.0.1t-1%2Bdeb8u7_armhf.deb

so the processo to solve is:

wget http://ftp.nl.debian.org/debian/pool/main/o/openssl/libssl1.0.0_1.0.1t-1%2Bdeb8u7_armhf.deb

sudo spkg -i libssl1.0.0_1.0.1t-1%2Bdeb8u7_armhf.deb

Edited by bellaziciao
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...